Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 133606 - Makefiles regeneration
Makefiles regeneration
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project
6.x
PC All
: P2 (vote)
: 6.x
Assigned To: Thomas Preisler
issues@cnd
61fixes2-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 10:00 UTC by luky
Modified: 2008-07-10 15:05 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description luky 2008-04-22 10:00:52 UTC
When you change project properties, makefiles are regenerated on build or build&clean commands not after closing 
properties dialog. It has again consequencies when storing projects to RCS
Comment 1 Thomas Preisler 2008-04-22 22:21:23 UTC
You are correct. The makefiles are regenerated when you build and not when you save the properties. It's done for performance reasons so you would 
regenerate the projects more than once if you did multiple changes to the properties. Will change it so it regenates at every safe.
Comment 2 Thomas Preisler 2008-04-22 22:30:21 UTC
Fixed.
Comment 3 Thomas Preisler 2008-04-23 03:15:45 UTC
changeset 1fd764a51aa1 in main
details: http://hg.netbeans.org/main?cmd=changeset;node=1fd764a51aa1
description:
	133606 Makefiles regeneration
Comment 4 Alexander Pepin 2008-05-23 14:37:22 UTC
verified in trunk build 20080520
Comment 5 jinb 2008-06-02 14:15:39 UTC
fix backported into release61_fixes branch
http://hg.netbeans.org/release61_fixes/rev/8f57933fab4e


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo